%define upver       2.8.8
%define subver      0

Name:               qt-fsarchiver
Version:            %{upver}.%{subver}
Release:            %mkrel 2
Summary:            Qt GUI for fsarchiver
Group:              Archiving/Backup
License:            GPLv2+ and GPLv3+
URL:                https://qt-fsarchiver.sourceforge.io/
Source0:            https://sourceforge.net/projects/qt-fsarchiver/files/source/qt-fsarchiver/%{name}-%{upver}-%{subver}.tar.gz

BuildRequires:      rpm_macro(qmake_qt6)
BuildRequires:      qttools6
BuildRequires:      cmake(Qt6Core)
BuildRequires:      cmake(Qt6Core5Compat)
BuildRequires:      cmake(Qt6Gui)
BuildRequires:      cmake(Qt6Widgets)
BuildRequires:      pkgconfig(ext2fs)
BuildRequires:      pkgconfig(uuid)
BuildRequires:      pkgconfig(blkid)
BuildRequires:      e2fsprogs
BuildRequires:      jfsutils
BuildRequires:      pkgconfig(libattr)
BuildRequires:      pkgconfig(libgcrypt)
BuildRequires:      pkgconfig(zlib)
BuildRequires:      pkgconfig(bzip2)
BuildRequires:      pkgconfig(libzstd)
BuildRequires:      pkgconfig(lzo2)
BuildRequires:      pkgconfig(liblzma)

Obsoletes:          qt-fsarchiver-terminal < 1.8.6
Provides:           qt6-fsarchiver = %{version}-%{release}
Provides:           bundled(fsarchiver) = 0.8.7

Requires:           polkit-agent
Requires:           ccrypt

Recommends:         gdisk
Recommends:         xfsprogs

%description
qt-fsarchiver is a GUI for the program fsarchiver to save/restore partitions,
folders and MBR/GPT. Clone from harddisk and partitions is possible.

%prep
%autosetup -n %{name} -p1

# Fix "xattr.h" path.
sed -e "s/\<attr\//sys\//" -i src/oper_restore.c

cat > README.urpmi <<EOF
Important: This application needs that you have sudo configured for your user.
EOF

%build
%qmake_qt6
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# Install policy
mkdir -p %{buildroot}%{_datadir}/polkit-1/actions
sed -e "s/qt5/qt6/g" src/share/polkit-1/actions/org.project.pkexec.run-qt5-fsarchiver.policy \
     > %{buildroot}%{_datadir}/polkit-1/actions/org.project.pkexec.run-qt6-fsarchiver.policy

#Install our desktop file.
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Qt-Fsarchiver
Name[tr]=Qt-Fsarchiver
Comment=File-system backup/deployment tool
Comment[fr]=Outil de sauvegarde/déploiement de système de fichiers
Comment[tr]=Dosya sistemi yedekleme/yükleme aracı
Exec=%{_sbindir}/%{name}.sh
Icon=qt-fsarchiver
Terminal=false
Type=Application
StartupNotify=true
Categories=System;Qt;Archiving;Filesystem;
EOF

%files
%doc README.urpmi
%license doc/{copyright,GNU-General-Public-License-{2,3}.0.txt}
%exclude %{_docdir}/%{name}/{copyright,GNU-General-Public-License-{2,3}.0.txt}
%{_sbindir}/%{name}
%{_sbindir}/%{name}.sh
%{_datadir}/applications/%{name}.desktop
%{_docdir}/%{name}/{Change,Aenderungen,Readme,Liesmich}
%{_datadir}/qt6/translations/%{name}*.qm
%{_datadir}/pixmaps/qt-fsarchiver.png
%{_datadir}/polkit-1/actions/*.policy


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.8.8.0-2.mga10
+ Revision: 2220775
- Mageia 10 Mass Rebuild

* Sat Jun 28 2025 daviddavid <daviddavid> 2.8.8.0-1.mga10
+ Revision: 2216772
- new version: 2.8.8.0 (thanks to Aurelian R)
- switch to Qt6
- obsoletes qt-fsarchiver-terminal

* Tue Dec 19 2023 papoteur <papoteur> 0.8.6.7-6.mga10
+ Revision: 2019224
- Mass Rebuild - Python 3.12

* Mon Aug 28 2023 wally <wally> 0.8.6.7-5.mga10
+ Revision: 1980652
- remove unneeded fsarchiver requires as bundled fsarchiver is used via qt-fsarchiver-terminal
- update description to distinct from fsarchiver

* Fri Nov 04 2022 papoteur <papoteur> 0.8.6.7-4.mga9
+ Revision: 1902531
- use sbin instead of bin as path for executable in .desktop file

* Fri Apr 15 2022 papoteur <papoteur> 0.8.6.7-3.mga9
+ Revision: 1850442
- Remove polkit usage (mga#1850442)
- add warning that sudo is needed
- Update to 0.8.7. Add requires for qt-fsarchiver-terminal
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Apr 16 2021 daviddavid <daviddavid> 0.8.5.21-1.mga9
+ Revision: 1716097
- new version: 0.8.5.21

* Thu Dec 17 2020 umeabot <umeabot> 0.8.5.18-3.mga8
+ Revision: 1659558
- Rebuild for new Qt5

* Wed Jul 29 2020 daviddavid <daviddavid> 0.8.5.18-2.mga8
+ Revision: 1609577
- remove pre-compiled binaries

* Sat Jul 25 2020 daviddavid <daviddavid> 0.8.5.18-1.mga8
+ Revision: 1608889
- new version: 0.8.5.18
- project was renamed as qt-fsarchiver (qt4-fsarchiver and qt5-fsarchiver is no longer supported)

* Sat Jul 25 2020 daviddavid <daviddavid> 0.8.5.1-3.mga8
+ Revision: 1608884
- workaround gcc 10 build issue

* Tue Feb 18 2020 umeabot <umeabot> 0.8.5.1-2.mga8
+ Revision: 1538118
- Mageia 8 Mass Rebuild

* Thu Nov 14 2019 daviddavid <daviddavid> 0.8.5.1-1.mga8
+ Revision: 1459936
- new version: 0.8.5.1

* Mon Apr 01 2019 umeabot <umeabot> 0.8.2.0-4.mga7
+ Revision: 1384288
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.8.2.0-3.mga7
+ Revision: 1300688
- Mageia 7 Mass Rebuild

* Tue Feb 20 2018 daviddavid <daviddavid> 0.8.2.0-2.mga7
+ Revision: 1203536
- add patch to replace <attr/xattr.h> with <sys/xattr.h>

* Tue Jan 02 2018 tarakbumba <tarakbumba> 0.8.2.0-1.mga7
+ Revision: 1189135
- Updated to 0.8.2-0 version

* Mon May 01 2017 tarakbumba <tarakbumba> 0.8.1.1-1.mga6
+ Revision: 1098189
- Update to 0.8.1.1 version
- Update to 0.8.1-0 version

* Sun Jan 08 2017 tarakbumba <tarakbumba> 0.8.0.5-1.mga6
+ Revision: 1080592
- Update package with qt5 and latest 0.8.0-5 version
- New release 0.8.0-5
- Rename depracated package to its qt5 version

* Sat Jun 25 2016 daviddavid <daviddavid> 0.6.19.18-3.mga6
+ Revision: 1037650
- add patch to fix build
  * taken from https://github.com/fdupoux/fsarchiver/commit/b07502ce

* Tue May 10 2016 tarakbumba <tarakbumba> 0.6.19.18-2.mga6
+ Revision: 1012204
- Update to 0.6.19-18 version
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Dec 07 2015 tarakbumba <tarakbumba> 0.6.19.16-1.mga6
+ Revision: 908704
- Update to 0.6.19.16 version

* Sat Oct 10 2015 tarakbumba <tarakbumba> 0.6.19.15-1.mga6
+ Revision: 888674
-Fix files list
- Drop unneeded patch0
- Update to 0.6.19-15 version

* Mon Sep 14 2015 fwang <fwang> 0.6.19.7-4.mga6
+ Revision: 879193
- rebuild for new libgcrypt

* Wed Oct 15 2014 umeabot <umeabot> 0.6.19.7-3.mga5
+ Revision: 750082
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.19.7-2.mga5
+ Revision: 688529
- Mageia 5 Mass Rebuild
+ tarakbumba <tarakbumba>
- Update to 0.6.19.7 version

* Mon Aug 25 2014 tarakbumba <tarakbumba> 0.6.19.6-1.mga5
+ Revision: 667338
- Update to 0.6.19.6 version

* Fri Jun 27 2014 tarakbumba <tarakbumba> 0.6.19.5-1.mga5
+ Revision: 640434
- Update to 0.6.19.5 version

* Sat Jun 07 2014 tarakbumba <tarakbumba> 0.6.19.4-1.mga5
+ Revision: 634594
- Add wrapper script to avoid double forking issues
- Update to 0.6.19.4 version

* Tue Mar 25 2014 tarakbumba <tarakbumba> 0.6.19.1-1.mga5
+ Revision: 608652
- imported package qt4-fsarchiver

